Skip to content
Permalink
Browse files

video: Don't compile isAtLeastGL3() if we don't have OpenGL support _…

…at all_.
  • Loading branch information
icculus committed Mar 3, 2017
1 parent ca0bf15 commit 6aa17426a6974e4f8f643a52bb70720cb1571cfc
Showing with 2 additions and 0 deletions.
  1. +2 −0 src/video/SDL_video.c
@@ -2809,11 +2809,13 @@ SDL_GL_UnloadLibrary(void)
}
}

#if SDL_VIDEO_OPENGL || SDL_VIDEO_OPENGL_ES || SDL_VIDEO_OPENGL_ES2
static SDL_INLINE SDL_bool
isAtLeastGL3(const char *verstr)
{
return (verstr && (SDL_atoi(verstr) >= 3));
}
#endif

SDL_bool
SDL_GL_ExtensionSupported(const char *extension)

0 comments on commit 6aa1742

Please sign in to comment.